Page MenuHomePhabricator

Refactor SemanticRelations plugin to use the new node selection widgets
Closed, ResolvedPublic

Description

The SemanticRelations-plugin uses a first approach of the new selection concept, an own selection dialog with selection widgets (used to select patients via a thumbnail-view or to select lesions). This task will integrate the new selection concept into the existing data node selection mechanism.

Furthermore it will provide a new data storage inspector base on this first draft of a thumbnail-view (see T23297)

Event Timeline

kalali triaged this task as Normal priority.Jun 11 2018, 2:02 PM
kalali created this task.
kalali claimed this task.Jun 14 2018, 2:17 PM

Everything works but there is a lesion widget, which is located inside the semantic relations ui module. It will currently not use the node selection dialog because of the problem stated in T24775#133044. The simplest solution would be to move this lesion widget to the semantic relations plugin. I did not do this so far since we will refactor the whole plugin eventually.

kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jun 15 2018, 6:26 PM
kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jun 20 2018, 3:00 PM
kalali closed this task as Resolved.Jul 18 2018, 1:50 PM

Closed since the basic semantic relations plugin now uses the new selection concept. The mentioned problem should be tackled in T23298.

kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 24 2018, 6:23 PM